@import url("./fonts.css");

:root {
    font-family: var(--font-sans);
    line-height: 1.5;
    font-weight: 400;
    font-size: 16px;

    --navbar-height: 75px;
    --container-padding: 30px;

    font-synthesis: none;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

/* @media screen and (min-width: 640px) {

} */

@media screen and (min-width: 640px) and (max-width: 767px) {
    :root {
        --container-padding: 75px;
    }
}

@media screen and (min-width: 768px) {
    :root {
        --navbar-height: 105px;
        --container-padding: 45px;
    }
}

html {
    box-sizing: border-box;
    scroll-behavior: smooth;
    background-color: var(--rpc25-background-color);
}

.link {
    color: rgb(13, 110, 253);
    text-decoration: underline;
}

b {
    font-weight: 900;
    font-family: var(--font-sans);
}

em {
    font-family: var(--font-sans);
}


.dropdown { position: relative; display: inline-block; }
.dropdown-btn { cursor: pointer; display: flex; align-items: center; gap: 4px; }
.dropdown-content { position: absolute; top: calc(100% + 8px); left: 50%; transform: translateX(-50%); background: white; border: 1px solid #e0e0e0; border-radius: 6px; min-width: 140px; box-shadow: 0 4px 6px rgba(0,0,0,0.1); display: none; z-index: 1000; }
.dropdown.active .dropdown-content { display: block; }
.dropdown-content a { display: block; padding: 10px 16px; color: #06174C; text-decoration: none;  font-size: 14px; border-bottom: 1px solid #f0f0f0; transition: background 0.2s; }
nav a:not(.nav-register-btn):hover, .dropdown-btn svg:hover { 
    /* background: #f5f5f5; 
    padding: 8px 12px; 
    border-radius: 4px;  */
    color: #FF3657 !important; 
    transition: all 0.2s; 
} 